VIPS(1)

NAME
vips - run vips function from UNIX command line

SYNOPSIS
vips [flags] [command] [command-args]

DESCRIPTION
vips(1) is the VIPS universal main program. You can use it to run any VIPS function from the command line, to query the VIPS function database, and to maintain parts of the VIPS library. To run a VIPS function, the first argument should be the name of the function and following arguments should be the function parameters. For example:
  example% vips im_invert lena.v lena2.v If you make a symbolic link to the vips executable named after an operation, then you can use that link to call an operation directly. For example:
  example% ln -s vips im_invert
  example% im_invert lena.v lena2.v

OPTIONS

-l PACKAGE, --list=PACKAGE
    List operations defined in PACKAGE.

-u OPERATION, --usage=OPERATION
    Show usage message for OPERATION.

-p PLUGIN, --plugin=PLUGIN
    Load PLUGIN. Note that plugins in $VIPSHOME/lib are loaded automatically.

-k, --links
    Print link lines for all operations.

-h PACKAGE, --cpph=PACKAGE
    Print C++ header for PACKAGE. PACKAGE can also be a function name, or "all".

-c PACKAGE, --cppc=PACKAGE
    Print C++ binding for PACKAGE. PACKAGE can also be a function name, or "all".

-s PACKAGE, --swig=PACKAGE
    Print SWIG declaration for PACKAGE. PACKAGE can also be a function name, or "all".

RETURN VALUE
returns 0 on success and non-zero on error.

SEE ALSO
header(1)

COPYRIGHT
The National Gallery and Birkbeck College, 1989-1996.